| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::TransitionMngr Class Reference

## Public Types
enum | TransType { None = 0 , ChessBoard , MeltDown , Sweep , Mosaic , Cubism , Growing , HorizontalLines , VerticalLines , CircleOut , MultiCircleOut , SpiralIn , Blobs , Fade , SlideL2R , SlideR2L , SlideT2B , SlideB2T , PushL2R , PushR2L , PushT2B , PushB2T , SwapL2R , SwapR2L , SwapT2B , SwapB2T , BlurIn , BlurOut , Random }

## Public Member Functions
QImage | currentFrame (int &tmout)
void | setInImage (const QImage &iimg)
void | setOutImage (const QImage &oimg)
void | setOutputSize (const QSize &size)
void | setTransition (TransType type)

## Static Public Member Functions
static QMap< TransType, QString > | transitionNames ()